Neglected Pizza Money

    postinstall-node-version-check

    0.2.4 • Public • Published

    postinstall-node-version-check

    Logs a message on postinstall if the Node.js version being used is not supported.

    Usage

    The installation instructions mention npm, but you can use other package managers.

    • Install the package:
      $ npm install postinstall-node-version-check
    • Add it to your postinstall script:
      {
        //...
        "scripts": {
          //...
          "postinstall": "postinstall-node-version-check"
        }
      }

    Output

    The following message will be logged on postinstall on unsupported Node.js version vX.Y.Z:

    (node:<LINE_NUMEBR>) NodeDeprecationWarning: The Node.js version vX.Y.Z is no longer supported.

    Install

    npm i postinstall-node-version-check

    DownloadsWeekly Downloads

    1

    Version

    0.2.4

    License

    MIT

    Unpacked Size

    3.53 kB

    Total Files

    5

    Last publish

    Collaborators

    • trivikr